mbed_host_tests.host_tests_plugins Namespace Reference

## Namespaces

| host_test_plugins
| host_test_registry
| module_copy_jn51xx
| module_copy_mbed
| module_copy_mps2
| module_copy_pyocd
| module_copy_shell
| module_copy_silabs
| module_copy_stlink
| module_copy_ublox
| module_power_cycle_mbed
| module_reset_jn51xx
| module_reset_mbed
| module_reset_mps2
| module_reset_pyocd
| module_reset_silabs
| module_reset_stlink
| module_reset_ublox

## Functions

def | call_plugin (type, capability, args, kwargs)
| Functional interface for host test plugin registry. More...
def | get_plugin_caps (type)
| Get list of all capabilities for plugin family with the same type. More...
def | get_plugin_info ()
| Return plugins information. More...
def | print_plugin_info ()
| Prints plugins' information in user friendly way. More...

## Variables

| HOST_TEST_PLUGIN_REGISTRY = host_test_registry.HostTestRegistry()

## Detailed Description

    mbed SDK
    Copyright (c) 2011-2015 ARM Limited

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

    Author: Przemyslaw Wirkus <Przemyslaw.Wirkus@arm.com>

## Function Documentation

## call_plugin()

def mbed_host_tests.host_tests_plugins.call_plugin | ( |  | type,
|  |  | capability,
|  |  | args,
|  |  | kwargs
| ) |  |

Functional interface for host test plugin registry.

Interface to call plugin registry functional way

Parameters

  capability | Plugin capability we want to call
  args | Additional parameters passed to plugin
  kwargs | Additional parameters passed to plugin

Returns
  Returns return value from call_plugin call

Definition at line 75 of file __init__.py.

## get_plugin_caps()

def mbed_host_tests.host_tests_plugins.get_plugin_caps | ( |  | type | ) |

Get list of all capabilities for plugin family with the same type.

Parameters

  type | Type of a plugin

Returns
  Returns list of all capabilities for plugin family with the same type. If there are no capabilities empty list is returned

Definition at line 84 of file __init__.py.

## get_plugin_info()

def mbed_host_tests.host_tests_plugins.get_plugin_info | ( |  | ) |

Return plugins information.

Returns
  Dictionary HOST_TEST_PLUGIN_REGISTRY

Definition at line 91 of file __init__.py.

## print_plugin_info()

def mbed_host_tests.host_tests_plugins.print_plugin_info | ( |  | ) |

Prints plugins' information in user friendly way.

Definition at line 97 of file __init__.py.

## Variable Documentation

## HOST_TEST_PLUGIN_REGISTRY

mbed_host_tests.host_tests_plugins.HOST_TEST_PLUGIN_REGISTRY = host_test_registry.HostTestRegistry()

Definition at line 49 of file __init__.py.